Name:           perl-Crypt-U2F-Server
Version:        0.45
Release:        2%{?dist}
Summary:        Low level wrapper around the U2F two factor authentication C library (server side)
License:        BSD2-Clause
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-U2F-Server/
Source0:        http://www.cpan.org/authors/id/G/GU/GUIMARD/Crypt-U2F-Server-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-generators
BuildRequires:  perl(Authen::U2F::Tester) >= 0.02
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(Test::More)
BuildRequires:  libu2f-server-devel
Requires:       perl(DynaLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a very low level wrapper around the original C library. You
probably shouldn't use it, but use Crypt::U2F::Server::Simple instead!

%prep
%setup -q -n Crypt-U2F-Server-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt*
%{_mandir}/man3/*

%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.45-2
- new package built with tito

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.45-1
- Specfile autogenerated by cpanspec 1.78.
